gSOAP UDDI v2: uddi2__delete_USCOREbusiness Class Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__delete_USCOREbusiness Class Reference

Schema urn:uddi-org:api_v2:"delete_business". More...

`#include <uddi_v2.h>`

List of all members.

## Public Member Functions
| uddi2__delete_USCOREbusiness (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__delete_USCOREbusiness (struct soap *, const char *businessKey)
| Member declared in uddi2-typemap.dat.
| uddi2__delete_USCOREbusiness (struct soap *, std::vector< char * > businessKeys)
| Member declared in uddi2-typemap.dat.
uddi2__dispositionReport * | send (const char *endpoint, char *authInfo)
| Member declared in uddi2-typemap.dat.
## Public Attributes
char * | authInfo
| Element reference "urn:uddi-org:api_v2":authInfo.
std::vector< uddi2__businessKey > | businessKey
| Vector of uddi2__businessKey with length 0..unbounded.
char * | generic
| Attribute generic of type xs:string.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"delete_business".

Represents a request to delete a business that meets the specified requirements.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137733

## Constructor & Destructor Documentation

uddi2__delete_USCOREbusiness::uddi2__delete_USCOREbusiness | ( | struct soap * | soap | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
Creates an instance of the delete_USCOREbusiness class.

uddi2__delete_USCOREbusiness::uddi2__delete_USCOREbusiness | ( | struct soap * | soap,
|  | const char * | businessKey
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | businessKey | a business key string
Creates an instance of the delete_USCOREbusiness class using the specified business key.

uddi2__delete_USCOREbusiness::uddi2__delete_USCOREbusiness | ( | struct soap * | soap,
|  | std::vector< char * > | businessKeys
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | businessKeys | collection of business keys
Creates an instance of the delete_USCOREbusiness class using the specified business keys.

## Member Function Documentation

uddi2__dispositionReport * uddi2__delete_USCOREbusiness::send | ( | const char * | endpoint,
|  | char * | authInfo
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | endpoint | URL of the UDDI server
  `[in]` | authInfo | authorization token provided by the UDDI server
Returns: A pointer to a uddi2__dispositionReport object or NULL on error Send a request to a UDDI service to delete a business that meets the specified requirements.

## Member Data Documentation

char* uddi2__delete_USCOREbusiness::authInfo

| Element reference "urn:uddi-org:api_v2":authInfo. Required element

std::vector<uddi2__businessKey > uddi2__delete_USCOREbusiness::businessKey

| Vector of uddi2__businessKey with length 0..unbounded.

char* uddi2__delete_USCOREbusiness::generic

| Attribute generic of type xs:string. Required attribute

struct soap* uddi2__delete_USCOREbusiness::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h